activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dejan Bosanac (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (AMQ-2714) Apache ActiveMQ is prone to XSS Vulnerability
Date Tue, 27 Apr 2010 12:45:30 GMT

     [ https://issues.apache.org/activemq/browse/AMQ-2714?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dejan Bosanac resolved AMQ-2714.
--------------------------------

    Fix Version/s: 5.4.0
       Resolution: Fixed

I confirmed the problem in 5.3.x versions. However, it doesn't affect current 5.4-SNAPSHOT
as the problem is in Jetty's error handler that doesn't escape the message (which is fixed
in Jetty 7). Anyhow, I took this opportunity to implement custom 404 and 500 pages for the
web console (which is also a workaround for this problem).

To work around this issues on existing 5.3.x installations: 

- download AMQ-2614.zip attached to this issue
- go to ${ACTIVEMQ_HOME}/webapp/admin
- unzip the archive

This workaround will be available in the next fuse 5.3.1-fuse-01-00 release (http://fusesource.com/),
if anyone is interested.

> Apache ActiveMQ is prone to XSS Vulnerability
> ---------------------------------------------
>
>                 Key: AMQ-2714
>                 URL: https://issues.apache.org/activemq/browse/AMQ-2714
>             Project: ActiveMQ
>          Issue Type: Bug
>    Affects Versions: 5.3.0, 5.3.1
>         Environment: Windows XP
>            Reporter: arun kethipelly
>            Assignee: Dejan Bosanac
>            Priority: Critical
>             Fix For: 5.4.0
>
>         Attachments: AMQ-2714.zip, AMQ_XSS.doc
>
>
> Cross-Site Scripting Vulnerability exists in Apache ActiveMQ.
> Example:  http://localhost:8161/admin/ueueBrowse/example.A?view=rss&feedType=<script>alert("ACTIVEMQ")</script>
> Tested on 5.3.1 and 5.3.0 versions.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message